[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tvector2_single_data

Internal data of Tvector2_single

## Declaration

Source position: matrix.pp line 38

`type Tvector2_single_data = array [0..1] of single;`

## Description

This is the vector internal data for a vector. It uses a simple array structure so data from other libraries that define their own vector type as a simple array structure can simply be moved to and from this data, or typecasted into it. As this is the only field in the object, the object itself can be used just as fine for typecasting purposes etc.

Documentation generated on: Feb 26 2014